@import '../variables';
@import '../mixins';


.main {
  margin: 0 auto;
  
  @include respond-to('large') {
    margin: 0 50px;
  }

  .container {
    display: flex;
    flex-direction: column;

    @include respond-to('small') {
      flex-direction: row;
    }

    .background-art {
      order: 2;
      background-image: url('../assets/img/launch-home.png');
      background-repeat: no-repeat;  
      background-size: contain;
      margin: 20px auto;
      width:  267px;
      height: 348px;

      @include respond-to('x-small') {
        width:  534px;
        height: 695px;  
      }
      
      @include respond-to('small') {
        order: 0;
        width:  267px;
        height: 348px;      
        margin-left: 10px;
        margin-right: 30px;
      }
      
      @include respond-to('medium') {
        width:  356px;
        height: 463px;      
      }
      
      @include respond-to('large') {
        width:  534px;
        height: 695px;  
        margin-left: 0;    
      }
    }

    .content {
      flex-grow: 1;
      order: 1;

      .loading, .error {
        padding: 10px;
        font-size: 1.5em;
      }

      .list {
        display: flex;
        flex-direction: column;
        list-style: none;
        margin: 0;
        padding: 10px;
      }
    }

  }
}




